org.apache.commons.math.distribution

## Interface HypergeometricDistribution

- All Superinterfaces:
    DiscreteDistribution, Distribution, IntegerDistribution
  All Known Implementing Classes:
    HypergeometricDistributionImpl

      public interface HypergeometricDistribution
      extends IntegerDistribution

  The Hypergeometric Distribution.

  References:

  - Hypergeometric Distribution
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfSuccesses()` Access the number of successes.
    `int` | `getPopulationSize()` Access the population size.
    `int` | `getSampleSize()` Access the sample size.
    `void` | `setNumberOfSuccesses(int num)` Deprecated. as of v2.1
    `void` | `setPopulationSize(int size)` Deprecated. as of v2.1
    `void` | `setSampleSize(int size)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution

      `cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution

      `probability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### getNumberOfSuccesses

          int getNumberOfSuccesses()

      Access the number of successes.
      Returns:
        the number of successes.

    - #### getPopulationSize

          int getPopulationSize()

      Access the population size.
      Returns:
        the population size.

    - #### getSampleSize

          int getSampleSize()

      Access the sample size.
      Returns:
        the sample size.

    - #### setNumberOfSuccesses

          @Deprecated
          void setNumberOfSuccesses(int num)

      Deprecated. as of v2.1
      Modify the number of successes.
      Parameters:
        `num` - the new number of successes.

    - #### setPopulationSize

          @Deprecated
          void setPopulationSize(int size)

      Deprecated. as of v2.1
      Modify the population size.
      Parameters:
        `size` - the new population size.

    - #### setSampleSize

          @Deprecated
          void setSampleSize(int size)

      Deprecated. as of v2.1
      Modify the sample size.
      Parameters:
        `size` - the new sample size.

Copyright (c) 2003-2013 Apache Software Foundation